@import '_normalize.scss';
@import '_header.scss';
@import '_footer.scss';
@import '_main.scss';

@font-face {
    font-family: "Playfair Display";
    src: url("../fonts/PlayfairDisplay-Bold.ttf");
    font-weight: bold;
    font-display: swap;
}

@font-face {
    font-family: "Avenir";
    src: url("../fonts/AvenirLTStd-Book.otf"), url("../fonts/AvenirLTStd-Black.otf");
    font-display: swap;
}

$mobile: 570px;

body {
    color: #0e092b;
    font-family: 'Avenir', sans-serif;
    font-size: 15px;

    min-height: 100vh;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Playfair Display", serif;
}

p {
    margin-top: 0;
    line-height: 1.4em;
}

a {
    color: inherit;
    text-decoration: none;
    position: relative;

    &::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        border-bottom: 1px solid;
        transform: scaleX(0);
        transition: transform 200ms;
        transform-origin: right;
    }

    &:hover::after {
        transform: scaleX(1);
    }
}

img {
    max-width: 100%;
}